.header {
  background: center url("./images/header/header-bg-mobile.jpg") no-repeat;
  background-size: cover;
  @include flex;
  flex-direction: column;
  height: 718px;
  position: relative;
  margin-bottom: 130px;

  @media (min-width: $tablet-bp) {
    background: center url("./images/header/header-bg-tablet.jpg") no-repeat;
    background-size: cover;
    height: 800px;
    margin-bottom: 156px;
  }

  @media (min-width: $desktop-bp) {
    background: center url("./images/header/header-bg-desktop.jpg") no-repeat;
    background-size: cover;
    margin-bottom: 129px;
  }
}

.header__nav-menu {
  background-color: #27262a;
  padding-top: 22px;
  padding-bottom: 32px;
  width: 100%;
  @include flex(space-between);
  position: relative;

  @media (min-width: $tablet-bp) {
    padding-bottom: 20px;
  }

  @media (min-width: $desktop-bp) {
    background: none;
    padding-bottom: 32px;
  }
}

.header__logo {
  @include flex;

  span {
    background: url("./images/header/header-logo.svg");
    width: 43px;
    height: 41px;
  }

  &:hover {
    h1 {
      color: $primary-color;
    }

    span {
      background: url("./images/header/header-logo-hover.svg");
    }
  }
}

.header__logo-name {
  margin-top: 0;
  margin-bottom: 0;
  display: none;

  @media (min-width: $tablet-bp) {
    display: inline;
    @include text-style(24px, 16px, $secondary-color, 700);
    font-family: $secondary-font;
    text-transform: uppercase;
    margin-left: 17px;
  }
}

.header__menu-wrapper {
  position: absolute;
  right: 10px;
  top: 100%;
  background-color: #333333;
  width: 293px;
  margin: 0;

  @media (min-width: $tablet-bp) {
    top: 99%;
    right: 50%;
    transform: translateX(50%);
    width: 100%;
    background-color: #27262a;
    padding: 0;
  }

  @media (min-width: $desktop-bp) {
    position: static;
    background: none;
    transform: none;
  }
}

.hide {
  display: none;
}

.header__menu-list {
  padding: 0 0 14px 0;
  margin: 0;

  li {
    padding-top: 29px;
    padding-bottom: 21px;
    border-bottom: 3px solid #3b3b3b;
    text-align: left;
    position: relative;
  }

  @media (min-width: $tablet-bp) {
    @include flex(space-around);
    width: 100%;
    max-width: 600px;
    margin: 0 auto;
    padding-bottom: 18px;

    li {
      border: none;
      text-align: center;
      padding: 0;
    }
  }

  @media (min-width: $desktop-bp) {
    padding: 0;
    justify-content: end;
    margin: 0;
    max-width: 100%;

    li {
      padding-right: 48px;
    }
  }
}

.header__menu-link {
  @include text-style(26px, 38px, $primary-color);
  padding-left: 35px;

  &:hover {
    color: $secondary-color;
  }

  &:focus {
    color: $secondary-color;

    &::before {
      content: "";
      position: absolute;
      top: 17px;
      left: 0;
      height: 53px;
      width: 8px;
      background-color: $secondary-color;
    }
  }

  @media (min-width: $tablet-bp) {
    @include text-style(16px, 18px, $secondary-color, 700);
    padding: 0;

    &:hover {
      color: $primary-color;
    }

    &:focus {
      &::before {
        display: none;
      }
    }
  }
}

.header__dropdown {
  @media (min-width: $tablet-bp) {
    display: none;
  }
}

.header__content {
  @include flex;
  flex-direction: column;
}

.header__name {
  @include text-style(48px, 48px, $primary-color, 700);
  margin-top: 50px;
  margin-bottom: 19px;

  @media (min-width: $tablet-bp) {
    font-size: 72px;
    line-height: 72px;
    margin-top: 81px;
  }

  @media (min-width: $desktop-bp) {
    font-size: 82px;
    line-height: 82px;
  }
}

.header__content-text {
  @include text-style(18px, 24px, $secondary-color);
  text-align: center;
  margin-bottom: 14px;
  margin-top: 0;

  @media (min-width: $tablet-bp) {
    font-size: 24px;
    margin-bottom: 19px;
  }

  @media (min-width: $desktop-bp) {
    font-size: 30px;
    line-height: 30px;
  }
}

.header__content-item {
  @include text-style(14px, 14px, $third-color);
  text-transform: uppercase;

  @media (min-width: $desktop-bp) {
    font-size: 16px;
    line-height: 16px;
  }
}

.header__info {
  display: block;
  position: absolute;
  top: 100%;
  margin-top: 35px;
  @include text-style(14px, 14px, $third-color);

  @media (min-width: $tablet-bp) {
    margin-top: 50px;
    line-height: 16px;
  }
}

.btn-buy {
  @include text-style(15px, 15px, $primary-color, 700);
  width: 119px;
  height: 37px;

  @media (min-width: $tablet-bp) {
    min-width: 145px;
  }
}

.btn-download {
  width: 290px;
  height: 45px;
  @include text-style(18px, 20px, $primary-color, 700);
  position: absolute;
  top: 100%;
  left: 50%;
  transform: translate(-50%, -50%);

  @media (min-width: $tablet-bp) {
    width: 390px;
    height: 62px;
    font-size: 21px;
    line-height: 23px;
  }
}
